Bug 142793 - UI Enabling display of data series on the secondary Y axis in Chart sidebar does not enable the secondary Y axis
Summary: UI Enabling display of data series on the secondary Y axis in Chart sidebar d...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: implementationError
Depends on:
Blocks: Chart-Sidebar
  Show dependency treegraph
 
Reported: 2021-06-11 11:08 UTC by NISZ LibreOffice Team
Modified: 2021-07-05 11:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Calc (15.45 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-06-11 11:08 UTC, NISZ LibreOffice Team
Details
The initial look of the chart (46.40 KB, image/png)
2021-06-11 11:08 UTC, NISZ LibreOffice Team
Details
The chart looks good when changed from the dialog (81.09 KB, image/png)
2021-06-11 11:09 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Calc when it’s changed from sidebar (52.29 KB, image/png)
2021-06-11 11:09 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-11 11:08:21 UTC
Created attachment 172809 [details]
Example file from Calc

Attached simple chart has all its data series displayed on the primary Y axis.
If any of them is changed to be displayed on the secondary Y axis from the Data series dialog, the secondary Y axis is enabled.
If this change is done in the sidebar then the secondary Y axis is not enabled.

Steps to reproduce:
    1. Open attached file
    2. Double click on the chart, select the yellow line
    3. Right click – Format Data Series
    4. In the Data Series dialogs Option tab, select “Secondary Y axis” under Align Series to Axis
    5. This will display a secondary axis on the chart
    6. Reload the document
    7. Open the Properties tab of the sidebar
    8. Double click on the chart, select the yellow line
    9. In the sidebar select “Secondary Y axis” under Align Series to Axis

Actual results:
There is no secondary axis displayed on the chart.

Expected results:
Sidebar should work like the Data Series dialog.

LibreOffice details:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 239b4bb27fd8db26e8416045b3015688a8b1b0ae
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL

and all the way back to 5.1 when this chart sidebar was first implemented:
Version: 5.1.0.3
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
Locale: hu-HU (hu_HU)
Comment 1 NISZ LibreOffice Team 2021-06-11 11:08:41 UTC
Created attachment 172810 [details]
The initial look of the chart
Comment 2 NISZ LibreOffice Team 2021-06-11 11:09:11 UTC
Created attachment 172811 [details]
The chart looks good when changed from the dialog
Comment 3 NISZ LibreOffice Team 2021-06-11 11:09:30 UTC
Created attachment 172812 [details]
Screenshot of the problem in Calc when it’s changed from sidebar
Comment 4 Commit Notification 2021-06-24 13:13:45 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3af7001d0a04fdbcb38a35d0841d7d186beeb57f

tdf#142793 chart UI: fix option "Secondary Y Axis" on sidebar

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-06-29 07:25:17 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/768acbf0e74dd93714a7e5421f3cff69a45de632

tdf#142793 chart UI: fix option "Secondary Y Axis" on sidebar

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2021-07-05 11:50:05 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3964e0854507b2696ae0fbe48a4fb005c779947e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: en-DK (hu_HU); UI: en-GB
Calc: threaded